Subject: bug#57503: 28.1.91; package-selected-packages should not be saved to custom-file

From: Robert Pluim <[email-masked]>
Date: Wed, 07 Sep 2022 11:55:47 +0200

>>>>> On Wed, 7 Sep 2022 02:09:25 +0200, Stefan Kangas <[email-masked]> said:

    Stefan> <[email-masked]> writes:
    >> And if my opinion counts, I like having the variable in my .emacs,
    >> possibly under revision control. On a fresh machine, I can then simply
    >> type M-x package-install-selected-packages to install all the packages
    >> from the variable, and M-x package-autoremove to uninstall all packeges
    >> not in listed the variable.

    Stefan> Can't this use case be supported with a multisession variable too though?

Yes. The multisession variable would contain the same information, it
would just not be in the custom file. (I thought the whole reason for
this bug was that there was strong dislike for storing the selected
packages as a custom variable, precisely because it disturbed version
control)

Robert
--